## akregator 25.12.2+p24.04+vstable+git20260214.1635

=== debian/changelog ===
akregator (4:25.12.2+p24.04+vstable+git20260214.1635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 14 Feb 2026 16:35:04 +0000

akregator (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:48:45 +0000
