## akregator 25.12.2+p24.04+vstable+git20260218.0319

=== debian/changelog ===
akregator (4:25.12.2+p24.04+vstable+git20260218.0319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 18 Feb 2026 03:19:57 +0000
