## akregator 25.12.2+p24.04+vstable+git20260220.0800

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.2")
+set(PIM_VERSION "6.6.3")
 project(akregator VERSION ${PIM_VERSION})
 
 # Update it for each release
-set(AKREGATOR_RELEASE_VERSION_DATE "26.02.05") # yy.MM.dd
+set(AKREGATOR_RELEASE_VERSION_DATE "26.03.02") # yy.MM.dd
 
 set(KF_MIN_VERSION "6.18.0")
-set(RELEASE_SERVICE_VERSION "25.12.2")
+set(RELEASE_SERVICE_VERSION "25.12.3")
 set(QT_REQUIRED_VERSION "6.8.0")
 
 # Use true if stable version => we will check specific version
@@ -68,11 +68,11 @@
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.6.2")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.6.2")
-set(LIBKDEPIM_LIB_VERSION "6.6.2")
-set(MESSAGELIB_LIB_VERSION "6.6.2")
-set(PIMCOMMON_LIB_VERSION "6.6.2")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.3")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.3")
+set(LIBKDEPIM_LIB_VERSION "6.6.3")
+set(MESSAGELIB_LIB_VERSION "6.6.3")
+set(PIMCOMMON_LIB_VERSION "6.6.3")
 
 find_package(
     Qt6
