=== debian/changelog ===
akregator (4:25.12.2+p24.04+vstable+git20260220.0800-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 20 Feb 2026 08:00:06 +0000
